Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.utils.action
Class Action

All Known Implementing Classes:
  AbstractAction, AddAccessLevel, AddAttributeAction, AddClassObjectAttributeAction, AdminManagerAction, AlterIfsCredentialManager, AlterPasswordAction, BaseAppAction, CopyToIfsAction, CreateClassesAction, CreateCredentialMgrSchemaAction, CreateDatabaseObjectsAction, CreateDefaultFilterIndexAction, CreateFastFilterIndexAction, CreateFolderIndexAction, CreateIfsCredentialManagerSchemaAction, CreateIfsSchemaAction, CreateIfsUsersAction, CreateNamedPropertyBundle, CreatePasswordCredentialAction, CreateRetainedEventTypeAction, CredentialManagerAction, DisposeServiceAction, DomainConfigurationAction, DropFolderIndexAction, DropJavaAction, DropLykeIndexAction, DropNamedSchemaAction, DropSchemasAction, FileHandlingAction, ForkProcessAction, FreeClassObjectAction, InactivateAgentsAction, InstallLykeAction, IterateSCsCredentialManagerAction, JDBCAction, LibrarySessionAction, LibrarySessionAndJDBCAction, LibrarySessionUpgradeAction, ListAction, LoadJavaAction, ModifyAttributeAction, ObjectNameReset, OsCommandAction, PolicyManagerAction, PrepareAttributeColumns, PutPolicyAction, RecreateClassObjectViews, RecreatePublicObjectViews, RemoveAttributeAction, RenamePropertyAction, RenamePublicObjectAction, SchemaCreator, ScriptOperationsAction, SetRepositoryParameterAction, SetSchemaVersionAction, SQLScriptAction, StartServiceAction, UpdateFolderIndexAction, UpdateTextIndexAction, UpdateUpgradeStatusAction, UpgradeCredentialManagerSchema, VerifyMediaAction

    public interface class Action

The Action interface defines the general contract for classes that will be executed by an ActionQueue in a background Thread.

Action instances can be controlled by invoking methods on their ActionQueue.

Action instances have the following properties:
name - a key to identify the Action
description - a textual description of the Action
options - a list of key/value pairs that the Action will use as options

Modified:
  bharb 1/18/2002 Added set Name/Description methods., lsaenz 08/19/2000 Added get/set Name/Description methods., lsaenz 08/02/2000 Added failed(Throwable) method., lsaenz 07/10/2000 Updated comments; changed putValue to return the old value., lsaenz 07/07/2000 Added getValue and putValue methods; removed getName and getDescription methods., lsaenz 06/25/2000 Updated comments., lsaenz 02/16/2000 Removed the undo method., lsaenz 02/06/2000 Decoupled Action from Settings; added methods getName and getDescription., lsaenz 11/15/1999 Created.

Method Summary
`void` | `failed(java.lang.Throwable error)` Invoked if this Action has failed.
`java.lang.String` | `getDescription()` Returns this Action's description.
`java.lang.String` | `getName()` Returns this Action's name.
`java.lang.Object` | `getValue(java.lang.String key)` Returns the value of an option.
`void` | `perform()` Performs this Action.
`java.lang.Object` | `putValue(java.lang.String key, java.lang.Object value)` Sets one of this object's options using the associated key.
`void` | `setDescription(java.lang.String description)` Sets this Action's description.
`void` | `setName(java.lang.String name)` Sets this Action's name.
`void` | `stop()` Stops this Action.

Method Detail

### perform

    void perform()
                 throws ActionFailedException

  Description copied from interface: `Action`
  Performs this Action.

  Throws:
    `ActionFailedException` - if the action could not be performed.
  (Unpublished)

### stop

    void stop()

  Description copied from interface: `Action`
  Stops this Action. Invoking this method should ensure that the call to `perform` will return as soon as possible. This method should do nothing if this Action has already been stopped.

  This method will probably be invoked from within the Thread that created the ActionQueue that this Action is being executed in, rather than from within the Thread that is invoking the `perform` method (the ActionQueue's Action processing Thread). Because of this, clients implementing this interface should provide a way of canceling what is happening in the `perform` method when this `stop` method is invoked.

  Note: this is especially important when the `perform` method executes a tight loop or creates new Threads.

  (Unpublished)

### failed

    void failed(java.lang.Throwable error)

  Description copied from interface: `Action`
  Invoked if this Action has failed. If an exception is caught by the ActionQueue that is executing this Action, this method will be invoked. If necessary, this method should roll back or otherwise reverse the tasks or operations that the `perform` method has executed.

  Parameters:
    `error` - the error that occurred.
  (Unpublished)

### putValue

    java.lang.Object putValue(java.lang.String key,
                              java.lang.Object value)

  Description copied from interface: `Action`
  Sets one of this object's options using the associated key.
  Note: if the given value is null, the option will be removed.

  Parameters:
    `key` - the key by which to identify the option value.
    `value` - the value, or null.
  Returns:
    the old value of the option mapping to the given key.

### getValue

    java.lang.Object getValue(java.lang.String key)

  Description copied from interface: `Action`
  Returns the value of an option.

  Parameters:
    `key` - a String containing the key.
  Returns:
    the option value for the given key, or null if the key doesn't map to any options.

### getName

    java.lang.String getName()

  Description copied from interface: `Action`
  Returns this Action's name.

  Returns:
    this Action's name, or null if this Action has no name.

### getDescription

    java.lang.String getDescription()

  Description copied from interface: `Action`
  Returns this Action's description.

  Returns:
    This Action's description, or null if this Action has no description.

### setName

    void setName(java.lang.String name)

  Description copied from interface: `Action`
  Sets this Action's name.

  Parameters:
    `name` - A String representing the Action's name.

### setDescription

    void setDescription(java.lang.String description)

  Description copied from interface: `Action`
  Sets this Action's description.

  Parameters:
    `description` - A String representing the Action's description.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD